Package org.eclipse.birt.report.engine.content

# Interface ICellContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContainerContent`, `IContent`, `IElement`, `IStyledElement`

public interface ICellContent extends IContainerContent
Provides the interfaces for Cell Content

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAntidiagonalColor()`
Get the anti-diagonal color
`int`
`getAntidiagonalNumber()`
Get the anti-diagonal number
`String`
`getAntidiagonalStyle()`
Get the anti-diagonal style
`org.eclipse.birt.report.engine.ir.DimensionType`
`getAntidiagonalWidth()`
Get the anti-diagonal width
`int`
`getColSpan()`
Get the column span
`int`
`getColumn()`
Get the column number
`IColumn`
`getColumnInstance()`
Get the column content
`String`
`getDiagonalColor()`
Get the diagonal color
`int`
`getDiagonalNumber()`
Get diagonal number
`String`
`getDiagonalStyle()`
Get diagonal style
`org.eclipse.birt.report.engine.ir.DimensionType`
`getDiagonalWidth()`
Get the diagonal width
`boolean`
`getDisplayGroupIcon()`
Get the display group icon
`String`
`getHeaders()`
Get the headers (which TH cells belong to this TH/TD cell?).
`int`
`getRow()`
Get the row
`int`
`getRowSpan()`
Get the row span
`String`
`getScope()`
Get the scope.
`String`
`getTagType()`
`boolean`
`hasDiagonalLine()`
Has diagonal line
`boolean`
`repeatContent()`
Check if the content is repeatable
`void`
`setAntidiagonalColor(String antidiagonalColor)`
Set the anti-diagonal color
`void`
`setAntidiagonalNumber(int antidiagonalNumber)`
Set the anti-diagonal number
`void`
`setAntidiagonalStyle(String antidiagonalStyle)`
Set the anti-diagonal style
`void`
`setAntidiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType antidiagonalWidth)`
Set the anti-diagonal width
`void`
`setColSpan(int colSpan)`
Set the column span
`void`
`setColumn(int column)`
Set the column
`void`
`setDiagonalColor(String diagonalColor)`
Set the diagonal color
`void`
`setDiagonalNumber(int diagonalNumber)`
Set diagonal number
`void`
`setDiagonalStyle(String diagonalStyle)`
Set diagonal style
`void`
`setDiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType diagonalWidth)`
Set the diagonal width
`void`
`setDisplayGroupIcon(boolean displayGroupIcon)`
Set display group icon
`void`
`setHeaders(String headers)`
Set the headers (which TH cells belong to this TH/TD cell?).
`void`
`setRepeatContent(boolean repeatContent)`
Set the repeat content
`void`
`setRowSpan(int rowSpan)`
Set the row span
`void`
`setScope(String scope)`
Set the scope.
`void`
`setTagType(String tagType)`
Set the PDF tag type

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Method Details

### getColSpan

int getColSpan()
Get the column span

Returns:
  the column span

### getRowSpan

int getRowSpan()
Get the row span

Returns:
  the row span

### getColumn

int getColumn()
Get the column number

Returns:
  the column number

### getColumnInstance

IColumn getColumnInstance()
Get the column content

Returns:
  the column content

### getRow

int getRow()
Get the row

Returns:
  the row

### setColumn

void setColumn(int column)
Set the column

Parameters:
  `column` -

### setRowSpan

void setRowSpan(int rowSpan)
Set the row span

Parameters:
  `rowSpan` - row span

### setColSpan

void setColSpan(int colSpan)
Set the column span

Parameters:
  `colSpan` - column span

### setDisplayGroupIcon

void setDisplayGroupIcon(boolean displayGroupIcon)
Set display group icon

Parameters:
  `displayGroupIcon` - display the group icon

### getDisplayGroupIcon

boolean getDisplayGroupIcon()
Get the display group icon

Returns:
  the display group icon

### hasDiagonalLine

boolean hasDiagonalLine()
Has diagonal line

Returns:
  check of diagonal line

### getDiagonalNumber

int getDiagonalNumber()
Get diagonal number

Returns:
  the diagonal number

### setDiagonalNumber

void setDiagonalNumber(int diagonalNumber)
Set diagonal number

Parameters:
  `diagonalNumber` - diagonal number

### getDiagonalStyle

String getDiagonalStyle()
Get diagonal style

Returns:
  the diagonal style

### setDiagonalStyle

void setDiagonalStyle(String diagonalStyle)
Set diagonal style

Parameters:
  `diagonalStyle` - diagonal style

### getDiagonalWidth

org.eclipse.birt.report.engine.ir.DimensionType getDiagonalWidth()
Get the diagonal width

Returns:
  the diagonal width

### setDiagonalWidth

void setDiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType diagonalWidth)
Set the diagonal width

Parameters:
  `diagonalWidth` - diagonal width

### getDiagonalColor

String getDiagonalColor()
Get the diagonal color

Returns:
  the diagonal color

### setDiagonalColor

void setDiagonalColor(String diagonalColor)
Set the diagonal color

Parameters:
  `diagonalColor` - diagonal color

### getAntidiagonalNumber

int getAntidiagonalNumber()
Get the anti-diagonal number

Returns:
  the anti-diagonal number

### setAntidiagonalNumber

void setAntidiagonalNumber(int antidiagonalNumber)
Set the anti-diagonal number

Parameters:
  `antidiagonalNumber` - anti-diagonal number

### getAntidiagonalStyle

String getAntidiagonalStyle()
Get the anti-diagonal style

Returns:
  the anti-diagonal style

### setAntidiagonalStyle

void setAntidiagonalStyle(String antidiagonalStyle)
Set the anti-diagonal style

Parameters:
  `antidiagonalStyle` - anti-diagonal style

### getAntidiagonalWidth

org.eclipse.birt.report.engine.ir.DimensionType getAntidiagonalWidth()
Get the anti-diagonal width

Returns:
  the anti-diagonal width

### setAntidiagonalWidth

void setAntidiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType antidiagonalWidth)
Set the anti-diagonal width

Parameters:
  `antidiagonalWidth` - anti-diagonal width

### getAntidiagonalColor

String getAntidiagonalColor()
Get the anti-diagonal color

Returns:
  the anti-diagonal color

### setAntidiagonalColor

void setAntidiagonalColor(String antidiagonalColor)
Set the anti-diagonal color

Parameters:
  `antidiagonalColor` - anti-diagonal color

### getHeaders

String getHeaders()
Get the headers (which TH cells belong to this TH/TD cell?). This is for TH/TD cells when creating tagged PDF / accessible PDF / PDF/UA.

Returns:
  the headers

### setHeaders

void setHeaders(String headers)
Set the headers (which TH cells belong to this TH/TD cell?). This is for TH/TD cells when creating tagged PDF / accessible PDF / PDF/UA.

Parameters:
  `headers` -

### getScope

String getScope()
Get the scope. This is for TH cells when creating tagged PDF / accessible PDF / PDF/UA.

Returns:
  the scope

### setScope

void setScope(String scope)
Set the scope. This is for TH cells when creating tagged PDF / accessible PDF / PDF/UA.

Parameters:
  `scope` - scope

### repeatContent

boolean repeatContent()
Check if the content is repeatable

Returns:
  the check result if content repeatable

### setRepeatContent

void setRepeatContent(boolean repeatContent)
Set the repeat content

Parameters:
  `repeatContent` - repeat content

### getTagType

String getTagType()

Specified by:
  `getTagType` in interface `IContent`
Returns:
  Returns the tagType.

### setTagType

void setTagType(String tagType)
Description copied from interface: `IContent`
Set the PDF tag type

Specified by:
  `setTagType` in interface `IContent`
Parameters:
  `tagType` - The tagType to set.